[V2, 1.34] Qt support issues

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

[V2, 1.34] Qt support issues

Juergen Hunold
Hi !

The branch for the 1.34 is coming nearer and I've been thinking about
the support for Trolltech's Qt Library.

Right now, we have a minimal toolset named "qt.jam" which provides
rudimental support for Qt <= 3.3.5. Is does not have library name
detection (necessary on Win32) and no support for Qt3 image embedding.
And then we have a toolset named "qt4.jam" which provides much better
support for Qt >= 4.1. Is has support for all kinds of "moc" invocation
and provides support for image embedding via Qt4 "rcc" resource
compiler.

I think it would be best to rename "qt.jam" to "qt3.jam" and mark it as  
"unmaintained" or maybe "deprecated" or both.
The old "qt4.jam" should be named "qt.jam".

I think this is the last chance to do a clean switch before we switch to
V2 and provide an obsolete toolset as "qt.jam"

I hope that this change can be made while we are in feature freeze
because V1 has never had any "official" support for any version of Qt.

Volodya, Thomas: What are you thinking about this ?

And now for some more technical problems:

qt4.jam has an optional "prefix" parameter which defaults to QTDIR when
not provided by the user. I'd like the prefix  (aka Qt install dir)
parameter to be required as Trolltech officially dropped the usage of
QTDIR with Qt4. Alls paths are compiled into the "qmake" makefile
generator when running configure. I think we should drop QTDIR support,
too.

And last:
I can't use qt.jam and qt4.jam side-by-side because both use the same
"types/qt.jam" file and bjam just segfaults while trying to load both
toolsets.



--
* Dipl.-Math. Jürgen Hunold  ! Ingenieurgesellschaft für
* voice: ++49 511 262926 57  ! Verkehrs- und Eisenbahnwesen mbH  
* fax  : ++49 511 262926 99  ! Lister Straße 15
* [hidden email]          ! www.ive-mbh.de
_______________________________________________
Unsubscribe & other changes: http://lists.boost.org/mailman/listinfo.cgi/boost
Reply | Threaded
Open this post in threaded view
|

Re: [V2, 1.34] Qt support issues

Thomas Witt-2

Hallo Juergen!

Juergen Hunold wrote:
> Hi !
>

>
> I think it would be best to rename "qt.jam" to "qt3.jam" and mark it as  
> "unmaintained" or maybe "deprecated" or both.
> The old "qt4.jam" should be named "qt.jam".
>
> I think this is the last chance to do a clean switch before we switch to
> V2 and provide an obsolete toolset as "qt.jam"
>
> I hope that this change can be made while we are in feature freeze
> because V1 has never had any "official" support for any version of Qt.
>
> Volodya, Thomas: What are you thinking about this ?

No objections from my side feel free to go ahead.

Thomas


--
Thomas Witt
[hidden email]
_______________________________________________
Unsubscribe & other changes: http://lists.boost.org/mailman/listinfo.cgi/boost